using System;
using UnityEngine;

namespace State.GameStateMachine
{
    public class GameStateMachine : StateMachine
    {
        public static GameStateMachine Instance;

        private void Awake()
        {
            if (Instance) Destroy(gameObject);
            Instance = this;
            DontDestroyOnLoad(gameObject);
            
            ChangeState(new MainMenu());
        }
    }
}